## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate crypto-auditing-event-broker

Name:           rust-crypto-auditing-event-broker
Version:        0.2.3
Release:        %autorelease
Summary:        Event broker for crypto-auditing project

License:        GPL-3.0-or-later
URL:            https://crates.io/crates/crypto-auditing-event-broker
Source:         %{crates_source}
Source1:        event-broker.conf
Source2:        crypto-auditing-event-broker.service
Source3:        crypto-auditing-event-broker.socket
# Manually created patch for downstream crate metadata changes
# * Update inotify from 0.10.2 to 0.11.0:
#   https://github.com/latchset/crypto-auditing/pull/152
Patch:          crypto-auditing-event-broker-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  systemd-rpm-macros

%global _description %{expand:
Event broker for crypto-auditing project.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Upstream license specification: GPL-3.0-or-later
#
# The build dependencies have the following licenses:
#
#   (MIT OR Apache-2.0) AND Unicode-DFS-2016
#   Apache-2.0 OR MIT
#   BSD-3-Clause
#   GPL-3.0-or-later
#   ISC
#   MIT
#   MIT OR Apache-2.0
#   Unlicense OR MIT
#
License:        GPL-3.0-or-later AND (Apache-2.0 OR MIT) AND Unicode-DFS-2016 AND BSD-3-Clause AND ISC AND MIT AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown
Requires:       crypto-auditing-agent

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/crypto-auditing-event-broker
%config(noreplace) %{_sysconfdir}/crypto-auditing/event-broker.conf
%dir %{_sysconfdir}/crypto-auditing/
%{_unitdir}/crypto-auditing-event-broker.service
%{_unitdir}/crypto-auditing-event-broker.socket

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/crypto-auditing
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/crypto-auditing

mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_unitdir}
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_unitdir}

%if %{with check}
%check
# * This test assumes workspace
%cargo_test -- -- --skip test_event_broker
%endif

%post -n %{crate}
%systemd_post crypto-auditing-event-broker.service

%preun -n %{crate}
%systemd_preun crypto-auditing-event-broker.service

%postun -n %{crate}
%systemd_postun_with_restart crypto-auditing-event-broker.service

%changelog
## START: Generated by rpmautospec
* Sat Jan 11 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.3-2
- Update rust-inotify dependency from 0.10.2 to 0.11.0

* Thu Oct 10 2024 Daiki Ueno <dueno@redhat.com> - 0.2.3-1
- Update to 0.2.3

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.2-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Thu Apr 11 2024 Daiki Ueno <dueno@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 15 2023 Daiki Ueno <dueno@redhat.com> - 0.2.1-1
- Initial import
## END: Generated by rpmautospec
